diff --git a/scripts/post-install.sh b/scripts/post-install.sh
index 95045be1f45ff73e18ec17569b252f0893396af9..45a19d26c4bacf9f061e6f9109de136a651f21f1 100644
--- a/scripts/post-install.sh
+++ b/scripts/post-install.sh
@@ -26,7 +26,12 @@ function install_chkconfig {
 
 id telegraf &>/dev/null
 if [[ $? -ne 0 ]]; then
-    useradd -r -K USERGROUPS_ENAB=yes -M telegraf -s /bin/false -d /etc/telegraf
+    grep "^telegraf:" /etc/group &>/dev/null
+    if [[ $? -ne 0 ]]; then
+        useradd -r -K USERGROUPS_ENAB=yes -M telegraf -s /bin/false -d /etc/telegraf
+    else
+        useradd -r -K USERGROUPS_ENAB=yes -M telegraf -s /bin/false -d /etc/telegraf -g telegraf
+    fi
 fi
 
 test -d $LOG_DIR || mkdir -p $LOG_DIR